<div class="app-waitlist-container" [formGroup]="formGroup">
  <app-spinner [show]="isLoading"></app-spinner>
  <div class="form-group row">
    <div class="col-12">
      <div class="w-100 text-right" [style.padding-right]="selectedPatient ? 35 : 0">
        <mat-hint align="end" class="required-hint">Required</mat-hint>
      </div>
      <div class="d-flex align-items-center search-patient">
        <mat-form-field [appearance]="apperance" class="full-width">
          <mat-label>{{patientSearch.value ? 'Patient' : ''}}</mat-label>
          <input matInput formControlName="patientId" class="d-none" [value]="patientId"/>
          <app-patient-search #patientSearch [value]="selectedPatient" [focusFirst]="false"
                              (valueChanged)="onSelectPatientForAppt($event)"
                              (redirectPatient)="redirectPatient($event)"
                              placeHolder="Search Patient ( ID, Name or Mobile No.)">
          </app-patient-search>
          <mat-error *ngIf="formGroup.get('patientId').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field>

        <button id="patientDetailsBtn" class="d-flex no-border-bg-btn" *ngIf="patientSearch.value"
                style="margin-top: -22px; width: 30px;"
                (click)="togglePatientDetailsPopup(!isOpenPatientDetailsPopup)">
          <img src="./assets/ic-patient-info.png"/>
        </button>

      </div>

      <button #apptDetailsElem class="position-absolute"
              style="left: -4px; margin-top: -15px; opacity: 0;"></button>
    </div>

    <div class="col-12 d-flex">
      <div class="mr-2 flex-fill">
        <div class="w-100 text-right" [style.padding-right]="selectedPatient ? 35 : 0">
          <mat-hint align="end" class="required-hint">Required</mat-hint>
        </div>
        <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
          <mat-label class="disable-label">Keep in Wait list until</mat-label>

          <app-date-picker
                  icon="./assets/ic-calendar-big.png"
                  [value]="waitUntilDate"
                  (valueChange)="dateSelectionChange($event)"></app-date-picker>

<!--          <input matInput #dateSelect style="cursor: pointer" class="bg-transparent" [readonly]="true"-->
<!--                 [value]="waitUntilDate | timeFormat: 'DD/MM/YYYY'"/>-->
<!--          <app-calender-popup [anchor]="dateSelect" [value]="waitUntilDate"-->
<!--                              (valueChange)="dateSelectionChange($event)"></app-calender-popup>-->
<!--          <img matSuffix src="./assets/ic-calendar-big.png" style="margin-top: -12px; z-index: -1;"/>-->

          <mat-error *ngIf="formGroup.get('expiryDate').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field>
      </div>

      <div class="ml-2 flex-fill">
        <div class="w-100 text-right" [style.padding-right]="selectedPatient ? 35 : 0">
          <mat-hint align="end" class="required-hint">Required</mat-hint>
        </div>
        <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
          <mat-label class="disable-label">Practitioner</mat-label>
          <app-kendo-multi-select [textField]="'displayName'"
                                  [valueField]="'id'"
                                  [data]="practitioner"
                                  [value]="practitionerIds"
                                  [dropDownArrow]="true"
                                  [selectAll]="false"
                                  [filterable]="true"
                                  [maxDisplay]="2"
                                  (valueChanged)="selectPractitioner($event)"
          ></app-kendo-multi-select>
          <mat-error *ngIf="formGroup.get('practitionerForPatientWaitList').hasError('required')">
            This field is required.
          </mat-error>
        </mat-form-field>
      </div>
    </div>

    <div class="col-12">
      <mat-form-field [appearance]="apperance" class="full-width">
        <mat-label class="disable-label">Service</mat-label>
        <app-appt-drop-down-add-new formControlName="serviceId" [data]="serviceProducts" textField="name"
                                    valueField="id"
                                    [isServiceProduct]="true" [isDisplayFooter]="false"
                                    (clearOrRemove)="clearOrRemoveSP()"></app-appt-drop-down-add-new>
        <mat-error *ngIf="formGroup.get('serviceId').hasError('required')">
          This field is required.
        </mat-error>
      </mat-form-field>
    </div>

    <div class="col-12 d-flex">
      <span class="flex-fill" style="font-size: 16px; color: #000000;">Preferred Days</span>

      <mat-checkbox formControlName="highPriority">
        <span>High Priority</span>
      </mat-checkbox>
    </div>

    <div class="col-12 d-flex" style="margin-top: 20px;">

      <div>
        <div style="height: 40px;"></div>
        <div class="pfd-label" style="background: #00AEEF;">Morning</div>
        <div class="pfd-label" style="background: #FF8333;">Afternoon</div>
        <div class="pfd-label" style="background: #A18BD6;">Evening</div>
      </div>

      <div>
        <div class="d-flex">
          <div class="btn-group btn-group-toggle">
            <label class="btn-outline-primary btn-circle day-btn" ngbButtonLabel *ngFor="let day of days">
              <input type="checkbox" ngbButton [(ngModel)]="selectedPDays[day]" [ngModelOptions]="{standalone: true}" (change)="clickDayButton($event, day)">
              {{day.substr(0, 1)}}
            </label>
          </div>
        </div>

        <div class="d-flex">
          <div class="d-flex flex-column" [formGroup]="pDayFormGroup" *ngFor="let day of days">
            <div [formGroupName]="day" class="d-flex align-items-center justify-content-center"
                 style="width: 40px; height: 20px; margin-top: 8px; margin-left: 8px;" *ngFor="let no of ['morning','afternoon','evening']">
              <mat-checkbox [formControlName]="no" class="pd-checkbox">

              </mat-checkbox>
            </div>
          </div>
        </div>
      </div>

    </div>

    <div class="col-12" style="margin-top: 20px;">
      <mat-form-field [appearance]="apperance" class="full-width">
        <mat-label>Notes</mat-label>
        <textarea matInput formControlName="note"></textarea>
      </mat-form-field>
    </div>

  </div>

</div>

<dx-popover target="#patientDetailsBtn" class="patient-details-popup" position="top" [width]="333" [height]="'auto'"
            [shading]="false" [(visible)]="isOpenPatientDetailsPopup">
  <div *dxTemplate="let data of 'content'">

    <div class="patient-details-content h-100" style="width: 333px; padding: 10px">
      <div>
        <h3 class="pd-title m-0 font-weight-bold">Patient Details</h3>

        <div class="d-flex pd-cotainer">
          <span class="pd-label">Patient Number</span>
          <span class="pd-value">: Id {{patientNumber}}</span>
        </div>

        <div class="d-flex pd-cotainer">
          <span class="pd-label">Patient Name</span>
          <span class="pd-value">: {{patientName}}</span>
        </div>

        <div class="d-flex pd-cotainer">
          <span class="pd-label">Gender</span>
          <span class="pd-value">: {{patientGender}}</span>
        </div>

        <div class="d-flex pd-cotainer">
          <span class="pd-label">DOB</span>
          <span class="pd-value">: {{patientDOB}}</span>
        </div>

        <div class="d-flex pd-cotainer">
          <span class="pd-label">Home Phone</span>
          <span class="pd-value">: {{patientHome}}</span>
        </div>

        <div class="d-flex pd-cotainer">
          <span class="pd-label">Mobile</span>
          <span class="pd-value">: {{patientMobile}}</span>
        </div>

        <div class="d-flex pd-cotainer">
          <span class="pd-label">Email</span>
          <span class="pd-value">: {{patientEmail}}</span>
        </div>

        <div class="d-flex pd-cotainer">
          <span class="pd-label red font-weight-bold">Outstanding</span>
          <span class="pd-value">: {{patientOutstanding}}</span>
        </div>
      </div>

      <div *ngIf="patientMedicalCondition">
        <h3 class="pd-title red m-0 w-auto font-weight-bold" style="margin-top: 20px !important;">Medical Conditions:</h3>

        <div class="pd-cotainer">
          <span class="pd-value">{{patientMedicalCondition}}</span>
        </div>

      </div>

      <div *ngIf="patientAllergy">
        <h3 class="pd-title red m-0 font-weight-bold" style="margin-top: 20px !important;">Allergy:</h3>

        <div class="pd-cotainer">
          <span class="pd-value">{{patientAllergy}}</span>
        </div>
      </div>

      <div *ngIf="patientMedication">
        <h3 class="pd-title red m-0 font-weight-bold" style="margin-top: 20px !important;">Medication:</h3>

        <div class="pd-cotainer">
        <span class="pd-value">
          {{patientMedication}}
        </span>
        </div>
      </div>
    </div>

  </div>
</dx-popover>
